Bug 1639925 - CVE-2018-10933 libssh: Authentication Bypass due to improper message callbacks implementation [fedora-all]
Summary: CVE-2018-10933 libssh: Authentication Bypass due to improper message callback...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libssh
Version: 28
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
Assignee: Andreas Schneider
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2018-10933 F29FinalFreezeException
TreeView+ depends on / blocked
 
Reported: 2018-10-16 22:56 UTC by Doran Moppert
Modified: 2018-10-30 17:28 UTC (History)
8 users (show)

Fixed In Version: libssh-0.8.4-1.fc28 libssh-0.8.4-1.fc29
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-20 23:51:40 UTC
Type: ---


Attachments (Terms of Use)

Description Doran Moppert 2018-10-16 22:56:11 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

Comment 1 Doran Moppert 2018-10-16 22:56:17 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1614973,1639925

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Fedora Update System 2018-10-17 06:28:22 UTC
libssh-0.8.4-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-c08cd808d3

Comment 3 Fedora Update System 2018-10-18 05:16:17 UTC
libssh-0.8.4-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-c08cd808d3

Comment 4 Fedora Update System 2018-10-18 07:22:26 UTC
libssh-0.8.4-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-6b390ceb36

Comment 5 Fedora Blocker Bugs Application 2018-10-18 07:30:57 UTC
Proposed as a Freeze Exception for 29-final by Fedora user pbrobinson using the blocker tracking app because:

 CVE-2018-10933, libssh is shipped in every Fedora release artifact due to being used by libcurl and libvirt. So while it's mostly client side bits it's probably useful we don't ship GA live/cloud/arm/container images with known CVEs

Comment 6 Kamil Páral 2018-10-18 12:32:25 UTC
+1 FE

Comment 7 Julen Landa Alustiza 2018-10-19 18:08:45 UTC
+1 FE

Comment 8 Fedora Update System 2018-10-20 23:51:40 UTC
libssh-0.8.4-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2018-10-30 17:28:55 UTC
libssh-0.8.4-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.